cURL
curl --request GET \
--url https://api.slash.com/transaction/{transactionId}/fee-details \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.slash.com/transaction/{transactionId}/fee-details"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.slash.com/transaction/{transactionId}/fee-details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"dateCharged": "<string>",
"feeAmountCents": 123,
"feeType": "<string>",
"accountId": "<string>",
"originalTransaction": {
"id": "<string>",
"date": "<string>",
"description": "<string>",
"amountCents": 123,
"accountId": "<unknown>",
"memo": "<string>",
"merchantDescription": "<string>",
"merchantData": {
"description": "<string>",
"categoryCode": "<string>",
"location": {
"city": "<string>",
"state": "<string>",
"country": "<string>",
"zip": "<string>"
}
},
"virtualAccountId": "<string>",
"cardId": "<string>",
"cashbackInfo": {
"amountCents": 123,
"rate": 123
},
"fxFeeInfo": {
"amountCents": 123
},
"originalCurrency": {
"code": "<string>",
"amountCents": 123,
"conversionRate": 123
},
"orderId": "<string>",
"referenceNumber": "<string>",
"authorizedAt": "<string>",
"declineReason": "<string>",
"approvalReason": "<string>",
"providerAuthorizationId": "<string>",
"wireInfo": {
"typeCode": "<string>",
"subtypeCode": "<string>",
"omad": "<string>",
"imad": "<string>",
"senderReference": "<string>",
"businessFunctionCode": "<string>",
"counterpartyBank": "<string>"
},
"achInfo": {
"receiverId": "<string>",
"companyId": "<string>",
"companyDiscretionaryData": "<string>",
"traceNumber": "<string>",
"entryClassCode": "<string>",
"paymentRelatedInfo": "<string>",
"counterpartyBank": "<string>",
"companyEntryDescription": "<string>"
},
"rtpInfo": {
"counterpartyBank": "<string>",
"endToEndId": "<string>",
"routingNumber": "<string>",
"originatorName": "<string>",
"description": "<string>"
},
"sepaInfo": {
"senderName": "<string>",
"recipientName": "<string>",
"reference": "<string>",
"iban": "<string>",
"ibanLast4": "<string>",
"bic": "<string>",
"uetr": "<string>",
"paymentScheme": "<string>"
},
"pixInfo": {
"senderName": "<string>",
"description": "<string>",
"reference": "<string>",
"trackingNumber": "<string>"
},
"speiInfo": {
"senderName": "<string>",
"description": "<string>",
"reference": "<string>",
"clabe": "<string>",
"trackingNumber": "<string>"
},
"fpsInfo": {
"senderName": "<string>",
"recipientName": "<string>",
"reference": "<string>",
"accountNumber": "<string>",
"last4": "<string>",
"sortCode": "<string>",
"uetr": "<string>"
},
"feeInfo": {
"relatedTransaction": {
"id": "<string>",
"amount": 123
}
},
"cryptoInfo": {
"txHash": "<string>",
"senderAddress": "<string>"
}
},
"card": {
"id": "<string>",
"accountId": "<string>",
"last4": "<string>",
"name": "<string>",
"expiryMonth": "<string>",
"expiryYear": "<string>",
"isPhysical": true,
"virtualAccountId": "<string>",
"isSingleUse": true,
"pan": "<string>",
"cvv": "<string>",
"cardGroupId": "<string>",
"cardGroupName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"spendingConstraint": {
"merchantCategoryRule": {
"merchantCategories": [
"<string>"
]
},
"merchantRule": {
"merchants": [
"<string>"
]
},
"spendingRule": {
"utilizationLimit": {
"limitAmount": {
"amountCents": 123
},
"timezone": "<string>",
"startDate": "<string>"
},
"utilizationLimitV2": [
{
"limitAmount": {
"amountCents": 123
},
"timezone": "<string>",
"startDate": "<string>"
}
],
"transactionSizeLimit": {
"minimum": {
"amountCents": 123
},
"maximum": {
"amountCents": 123
}
}
},
"countryRule": {
"countries": [
"<string>"
]
},
"merchantCategoryCodeRule": {
"merchantCategoryCodes": [
"<string>"
]
}
},
"userData": {},
"cardProductId": "<string>",
"modifiers": [
{
"name": "only_allow_recurring_payments",
"value": true
}
]
}
}
]
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}{
"message": "<string>",
"name": "<string>",
"identifier": "<string>",
"rawStatus": 123,
"meta": {}
}Transaction
Get transaction fee details
Fetch breakdown of a fee transaction
GET
/
transaction
/
{transactionId}
/
fee-details
cURL
Authorizations
api_keybearer
API key authentication for public API requests.
Keys come in two flavors:
- Legal-entity-scoped keys are pinned to a single legal entity. Minted via the dashboard under a specific entity; every request acts on that entity.
- User-scoped keys are pinned to a user and span every legal
entity that user has access to. Every request made with a
user-scoped key (except
GET /legal-entity, which lists the legal entities the user can access) must include anx-legal-entityheader naming the legal entity the request is operating on. Requests without the header are rejected with400. The authenticated user must have an active permission role on the supplied legal entity, otherwise the request is rejected with403.
Path Parameters
Response
OK
Show child attributes
Show child attributes
⌘I